--- title: "getPriceList" slug: "platform-listprice-getpricelist" tags: ["List Price"] updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-listprice-getpricelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getPriceList Available in Classic and VPC View a list of pricing plans. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /product/getPriceList | ### Request headers For headers common to all List price APIs, see [List price common headers](/docs/en/platform-listprice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `priceNoList.N` | List | Required | List of price numbers to view - 1 - 99 | | `promiseNoList.N` | List | Optional | List of contract numbers to view | | `payCurrencyCode` | String | Optional | Payment currency code - `KRW` \| `USD` \| `JPY` | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/product/getPriceList??priceNoList.1=14738' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [PriceList](/docs/en/common-vapidatatype-pricelist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 27951536-****-****-****-34294759b7f6 0 success 1 14738 FXSUM Monthly flat rate 1 KR Korea TIME Time POINT Point unit 0 VSVR Server (VPC) Usage USAGE_MM Usage time (per month) 4168368 0 SVR_ST_PRC Server Stop Price 4168368 Usage time (day) * ( Price (month) / full days ) 0 USAGE_SEC Usage time (per second) 2020-12-07T00:00:00+0900 KRW South Korea Won ```